<?php
include('../config/database.php');
$metodo=$_SERVER['REQUEST_METHOD'];

if($metodo=='GET'){
    //Si se mando un id quiere decir que se hara una busqueda individual
   if(isset($_GET['asignar'])){
    $query = mysqli_query($mysqli, "SELECT * FROM usuarios WHERE permisos_acceso = 'Operario' AND status='activo'");
    if(!$query){
        die('Error en la consulta'. mysqli_error($mysqli));
    }

    $json = ''; 
    while($row = mysqli_fetch_array($query)){
        $json .="<option value='$row[username]'>$row[name_user]</option>";
    }
    echo $json;
   }else{
    $query = mysqli_query($mysqli, "SELECT * FROM usuarios WHERE permisos_acceso != 'Super Admin' AND status='activo'");
    if(!$query){
        die('Error en la consulta'. mysqli_error($mysqli));
    }

    $json = array(); 
    while($row = mysqli_fetch_array($query)){
        if($row['status']=='activo'){
            $btn = "<a href='#' class='btn btn-xs btn-danger' onclick='off($row[id_user])'><i class='fa fa-user-times'><i/></a>";
        }else{
            $btn = "<a href='#' class='btn btn-xs btn-success' onclick='on($row[id_user])'><i class='fa fa-user-plus'><i/></a>";
        }
        $btn1 = "<a href='#' class='btn btn-xs btn-success' onclick='detalles($row[id_user])' data-toggle='modal' data-target='#cambio_placa'><i class='fa fa-truck'><i/></a>";
        $json[] = array(
            'usuario' => $row['username'],
            'nombre' => $row['name_user'],
            'telefono' => $row['telefono'],
            'perfil' => $row['permisos_acceso'],
            'fecha' => $row['created_at'],
            'vehiculo' => $row['vehiculo'],
            'btn' => $btn1
        );
    }
    $jsonstring = json_encode($json);
    echo $jsonstring;
   }
    
}

if($metodo=='POST'){
    if(isset($_POST['id_user_off'])){
        $id = $_POST['id_user_off'];
        $query = mysqli_query($mysqli, "UPDATE usuarios SET status='bloqueado' WHERE id_user=$id");
        if(!$query){
            die('Error en el registro'. mysqli_error($mysqli));
        }
        echo '
        <div class="alert alert-success" role="alert" id="alerta1">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
    if(isset($_POST['id_user_on'])){
        $id = $_POST['id_user_on'];
        $query = mysqli_query($mysqli, "UPDATE usuarios SET status='activo' WHERE id_user=$id");
        if(!$query){
            die('Error en el registro'. mysqli_error($mysqli));
        }
        echo '
        <div class="alert alert-success" role="alert" id="alerta1">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
    
    if(isset($_POST['id_user_placa'])){
        $id = $_POST['id_user_placa'];
        $placa = $_POST['f_placa'];
        if($placa ==''){
            $query = mysqli_query($mysqli, "UPDATE usuarios SET vehiculo='--' WHERE id_user=$id") or die('Error en el update'. mysqli_error($mysqli));
        }else{
            $query = mysqli_query($mysqli, "UPDATE usuarios SET vehiculo='--' WHERE vehiculo='$placa'") or die('Error en el update'. mysqli_error($mysqli));
            $query = mysqli_query($mysqli, "UPDATE usuarios SET vehiculo='$placa' WHERE id_user=$id") or die('Error en el update'. mysqli_error($mysqli));
        }
        
        
        echo '
        <div class="alert alert-success" role="alert" id="alerta1">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
}